Bug 177531 - gpdf crashes on a PDF file
gpdf crashes on a PDF file
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gpdf (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Depends On:
  Show dependency treegraph
Reported: 2006-01-11 11:59 EST by Radek Bíba
Modified: 2013-04-02 00:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:17:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2006-01-11 11:59:28 EST
Description of problem:
gpdf crashes for me when I try to display a testing PDF file. This file is
absolutely normal, not corrupted, viewable in other PDF viewers. It's a
documentation file from package prelink, which is stored as
/usr/share/doc/prelink-0.3.3/prelink.pdf on those RHEL 4 arches where it's
available (unfortunately not on ia64).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. "grab" /usr/share/doc/prelink-0.3.3/prelink.pdf
2. open it in gpdf
Actual results:
Crash, error dialog with 'The Application "gnome-pdf-viewer" has quit
unexpectedly.' is displayed and this is written to the command line:
(gpdf:13791): Bonobo-CRITICAL **: file bonobo-control-frame.c: line 539
(bonobo_control_frame_control_deactivate): assertion `frame->priv->control !=

Expected results:
The PDF file is displayed.

Additional info:
Comment 2 Jiri Pallich 2012-06-20 12:17:10 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.